# Controllers

The Homebrew Browser parses package supported controllers by the following system:

| Letters | Controller                                                              |
| ------- | ----------------------------------------------------------------------- |
| w       | One wii remote is supported                                             |
| ww      | Two wii remotes are supported                                           |
| www     | Three wii remotes are supported                                         |
| wwww    | Four wii remotes are supported                                          |
| g       | Gamecube controller is supported                                        |
| n       | Nunchuck is supported                                                   |
| c       | Classic Controller is supported                                         |
| s       | Compatible with SDHC cards                                              |
| k       | Keyboard is supported. This is not displayed on the Homebrew Browser.   |
| z       | Wii Zapper is supported. This is not displayed on the Homebrew Browser. |

If a package returns it's controllers are "wwwwgncs", then it supports 4 wii remotes, a gamecube controller, a nunchuck and is compatible with SDHC cards.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oscwii.org/oldapi/controllers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
